<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        function creatBook(kucun){
            return{
                kucun:kucun,
                kucunValue:function(){
                    return this.kucun.reduce((total,book) =>
                        total + book.price,0)
                },
                price: function(title){

                }
            }
        }
        
        const kucun = [
            {title: 'vue',price: 10},
            {title: 'angular',price: 90}
        ]

        const bookShop = new creatBook(kucun)
        
        console.log(bookShop.kucunValue());

    </script>
</body>
</html>